import java.io.File;
import java.io.FileNotFoundException;
import static java.lang.System.*;

import strsets.*;

public final class Test {

    private Test() {};
    
    private static boolean searchWord(StrSet[] ss, String word) {
        for (int i = 0 ; i < ss.length ; i++)
            if (ss[i].contains(word))
                return true;
        return false;
    }    
    public static void main(String[] args) throws FileNotFoundException {
        String word = args[0];
        StrSet[] ws = new StrSet[2];
        String[] keys = {"Musica", "Film", "Teatro", "Cinema"};
        ws[0] = new KeywordSet(keys);
        ws[1] = new Dictionary(new File("words.txt"));
        if (searchWord(ws, word))
            out.println("La parola "+word+" e' stata trovata");
        else
            out.println("La parola "+word+" NON e' stata trovata");
    }
}