package strsets; 

/**
 * Interfaccia per un semplice insieme di stringhe.
 */
public interface StrSet {
    /**
     * Verifica se una stringa e' contenuta nell'insieme
     * 
     * @param s     la stringa
     * @return      true se la stringa e' contenuta, false altrimenti
     */
    boolean contains(String s);

    /**
     * Dimensione dell'insieme
     * 
     * @return      il numero di stringhe nell'insieme
     */
    int size();
}
