package strsets; 

/**
 * Estensione dell'interfaccia StrSet
 * per insiemi ordinati di stringhe
 */
public interface SortedStrSet extends StrSet {
    /**
     * Ritorna la k-esima stringa dell'insieme ordinato.
     * 
     * @param k     la posizione della stringa
     * @return      La stringa nella k-esima posizione.
     *              Se k < 0 oppure k > size - 1 ritorna null.
     */
    String getKth(int k);
}